Bug 501330 - tigervnc-server doesn't seem to respect -geometry flag
tigervnc-server doesn't seem to respect -geometry flag
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 11:37 EDT by Paul W. Frields
Modified: 2013-04-30 19:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-01 09:11:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
VNC log (7.78 KB, text/plain)
2009-05-18 11:37 EDT, Paul W. Frields
no flags Details
~/.vnc/xstartup (575 bytes, text/plain)
2009-05-18 11:37 EDT, Paul W. Frields
no flags Details

  None (edit)
Description Paul W. Frields 2009-05-18 11:37:06 EDT
Created attachment 344456 [details]
VNC log

tigervnc-server-0.0.90-0.7.20090427svn3789.fc11.x86_64

1. vncserver -geometry 800x600
2. vncviewer localhost:1

Displayed session is at current session's full screen size (in this case, 1280x800)
Comment 1 Paul W. Frields 2009-05-18 11:37:58 EDT
Created attachment 344458 [details]
~/.vnc/xstartup
Comment 2 Paul W. Frields 2009-05-18 11:38:52 EDT
Output of 'ps axw | grep Xvnc':

31600 pts/8    S      0:01 /usr/bin/Xvnc :1 -desktop localhost.localdomain:1 (pfrields) -auth /var/run/gdm/auth-for-pfrields-38Jq16/database -geometry 800x600 -rfbwait 30000 -rfbauth /home/pfrields/.vnc/passwd -rfbport 5901 -fp catalogue:/etc/X11/fontpath.d -pn
Comment 3 Bug Zapper 2009-06-09 12:03:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Sascha Zorn 2009-06-26 14:59:29 EDT
Could someone please fix that??? Got the latest version and just can get an 640x480 vnc, which is really annoying!!
Comment 5 Adam Tkac 2009-06-29 11:32:26 EDT
Would it be possible to check what happen if you start the server with "-extension RANDR" parameter, please?
Comment 6 Sascha Zorn 2009-06-29 13:14:43 EDT
That does fix it! Thanks a lot!
Comment 7 Adam Tkac 2009-07-01 09:11:28 EDT
It seems your desktop manager resizes the desktop via RandR. You have to configure your favourite desktop manager to not to do it or disable RandR as written in comment #5. Closing.

Note You need to log in before you can comment on or make changes to this bug.